Skip to main content
`Ctrl`+`K`

# PetscObjectQueryFunction

Gets a function associated with a given object.

## Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscObjectQueryFunction(PetscObject obj, const char name[], PetscErrorCodeFn **fptr)

Logically Collective

## Input Parameters

- obj - the PETSc object; this must be cast with (`PetscObject`), for example, `PetscObjectQueryFunction`((`PetscObject`)ksp,…);

- name - name associated with the child function

## Output Parameter

- fptr - function pointer

## See Also

`PetscObjectComposeFunction()`, `PetscFunctionListFind()`, `PetscObjectCompose()`, `PetscObjectQuery()`, `PetscObject`

## Level

advanced

## Location

src/sys/objects/inherit.c

## Examples

src/mat/tutorials/ex8.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages